Webhookイベント一覧 (v3)
curl --request GET \
--url https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"events": [
{
"id": 123,
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "order.antiAi.completed",
"status": "PENDING",
"retries": 123,
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pageInfo": {
"totalItems": 123,
"totalPages": 123,
"currentPage": 123,
"itemsPerPage": 123
},
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}Webhooks
Webhookイベント一覧 (v3)
配信履歴を取得します。pageInfoを使用してください。paginationは互換用エイリアスです。再送信には文字列のeventIdではなく数値のidを使用します。
GET
/
api
/
v3
/
orders
/
webhooks
/
{webhookId}
/
events
Webhookイベント一覧 (v3)
curl --request GET \
--url https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"events": [
{
"id": 123,
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "order.antiAi.completed",
"status": "PENDING",
"retries": 123,
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pageInfo": {
"totalItems": 123,
"totalPages": 123,
"currentPage": 123,
"itemsPerPage": 123
},
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}承認
レスポンス
成功
pageInfoを使用してください。paginationは互換用の非推奨エイリアスです。
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes